CreateTaxonomyJobEvent (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.event

## Class CreateTaxonomyJobEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<CreateTaxonomyJobEventHandler>
    - - org.gcube.portlets.user.speciesdiscovery.client.event.CreateTaxonomyJobEvent

-     public class CreateTaxonomyJobEvent
      extends com.google.gwt.event.shared.GwtEvent<CreateTaxonomyJobEventHandler>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CreateTaxonomyJobEvent.TaxonomyJobType`

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.gwt.event.shared.GwtEvent.Type<CreateTaxonomyJobEventHandler>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateTaxonomyJobEvent(CreateTaxonomyJobEvent.TaxonomyJobType jobType)`
    `CreateTaxonomyJobEvent(TaxonomyRow taxonomy, String dataSourceName, CreateTaxonomyJobEvent.TaxonomyJobType jobType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(CreateTaxonomyJobEventHandler handler)`
    `com.google.gwt.event.shared.GwtEvent.Type<CreateTaxonomyJobEventHandler>` | `getAssociatedType()`
    `String` | `getDataSourceName()`
    `CreateTaxonomyJobEvent.TaxonomyJobType` | `getJobType()`
    `TaxonomyRow` | `getTaxonomy()`
    `void` | `setDataSourceName(String dataSourceName)`
    `void` | `setTaxonomy(TaxonomyRow taxonomy)`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final com.google.gwt.event.shared.GwtEvent.Type<CreateTaxonomyJobEventHandler> TYPE

  - ### Constructor Detail

    - #### CreateTaxonomyJobEvent

          public CreateTaxonomyJobEvent(TaxonomyRow taxonomy,
                                String dataSourceName,
                                CreateTaxonomyJobEvent.TaxonomyJobType jobType)

      Parameters:
        `taxonomy` -
        `dataSourceName` -
        `type` -
        `rank` -

    - #### CreateTaxonomyJobEvent

          public CreateTaxonomyJobEvent(CreateTaxonomyJobEvent.TaxonomyJobType jobType)

      Parameters:
        `jobType` -

  - ### Method Detail

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<CreateTaxonomyJobEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<CreateTaxonomyJobEventHandler>`

    - #### dispatch

          protected void dispatch(CreateTaxonomyJobEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<CreateTaxonomyJobEventHandler>`

    - #### getJobType

          public CreateTaxonomyJobEvent.TaxonomyJobType getJobType()

    - #### getTaxonomy

          public TaxonomyRow getTaxonomy()

    - #### setTaxonomy

          public void setTaxonomy(TaxonomyRow taxonomy)

    - #### getDataSourceName

          public String getDataSourceName()

    - #### setDataSourceName

          public void setDataSourceName(String dataSourceName)

Copyright © 2013. All Rights Reserved.